{% extends 'base_layout.html' %}

{% block content %}
<h3 class="display-5">{{ title }}</h3>

<div class="row justify-content-center m-3">
    <div class="col-sm-8">
        <div class="card">
            
            <div class="card-header">
                <h3>{{ book.title }}</h3>
            </div>
            <div class="card-body text-center">
                <img class="card-img-top imageThumbnail" 
                     src="{{ book.cover.url }}"
                     alt="{{ book.title}}">
                <h4>ISBN : {{ book.ISBN }}</h4>
                <h4>Author : {{ book.author }}</h4>
            </div>
            <div class="card-footer text-center">
                <a href="{% url 'books:index' %}" class="btn btn-primary">Back</a>
                {% if user.is_authenticated %}
                <a href="{% url 'books:edit' id=book.id %}" class="btn btn-primary">Edit</a>
                <a href="{% url 'books:delete' id=book.id %}" class="btn btn-danger">Delete</a>
                {% endif %}
            </div>

        </div>
    </div>
</div>
{% endblock %}